Bug 10357 - Send email when serial received subscription link is hard to find
Summary: Send email when serial received subscription link is hard to find
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-28 03:25 UTC by Liz Rea
Modified: 2017-04-21 23:03 UTC (History)
8 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 10357: Adding link for email notification for new subscription issues to opac-detail (4.42 KB, patch)
2017-02-06 21:41 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 10357: Adding link for email notification for new subscription issues to opac-detail (4.62 KB, patch)
2017-03-23 12:14 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 10357: Adding link for email notification for new subscription issues to opac-detail (4.84 KB, patch)
2017-03-28 03:57 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 10357: Adding link for email notification for new subscription issues to opac-detail (4.86 KB, patch)
2017-03-30 01:49 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 10357: Adding link for email notification for new subscription issues to opac-detail (4.87 KB, patch)
2017-03-30 01:57 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 10357: Adding link for email notification for new subscription issues to opac-detail (4.95 KB, patch)
2017-03-30 06:43 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 10357: Adding link for email notification for new subscription issues to opac-detail (12.54 KB, patch)
2017-04-04 22:59 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 10357: Adding link for email notification for new subscription issues to opac-detail (12.61 KB, patch)
2017-04-05 08:54 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 10357: Adding link for email notification for new subscription issues to opac-detail (12.69 KB, patch)
2017-04-18 18:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10357: Do not change the alerttype (11.25 KB, patch)
2017-04-18 18:16 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2013-05-28 03:25:26 UTC
The link to subscribe to be notified of a new issue of a serial is squirrelled away 3 clicks from the main view - it should be easier to find.
Comment 1 Aleisha Amohia 2017-02-06 21:41:50 UTC
Created attachment 59955 [details] [review]
Bug 10357: Adding link for email notification for new subscription issues to opac-detail

This patch adds the link to the opac-detail.pl page so it is less hard
to find.

To test:
1) Add a subscription, attach it to a record and select a notice under
'Patron notification'. Hit Next, fill in some fields and save the
subscription
2) Go to that record detail page in the OPAC. Go to the subscriptions
tab, click 'More details'. Notice how many clicks it takes to see the
'Subscribe' button
3) Apply patch and go back to the details page for the record
4) Notice now there is a 'subscribe' link
5) Confirm this link still works as expected

Sponsored-by: Catalyst IT
Comment 2 Séverine Queune 2017-03-23 12:13:28 UTC
The subscribe link now appears on the "Subscription" tab.
It works the same way (confirmation, button to unsuscribe).
However, as mail are not send when working on sandbox, I didn't check the notice is correcly send to the patron when receiving a new issue ; there is no "standing" mail on the "Notice" tab on the patron account.
Thanks for this very useful patch !
Comment 3 sandboxes@biblibre.com 2017-03-23 12:14:13 UTC
Patch tested with a sandbox, by Séverine QUEUNE <severine.queune@bulac.fr>
Comment 4 sandboxes@biblibre.com 2017-03-23 12:14:33 UTC
Created attachment 61531 [details] [review]
Bug 10357: Adding link for email notification for new subscription issues to opac-detail

This patch adds the link to the opac-detail.pl page so it is less hard
to find.

To test:
1) Add a subscription, attach it to a record and select a notice under
'Patron notification'. Hit Next, fill in some fields and save the
subscription
2) Go to that record detail page in the OPAC. Go to the subscriptions
tab, click 'More details'. Notice how many clicks it takes to see the
'Subscribe' button
3) Apply patch and go back to the details page for the record
4) Notice now there is a 'subscribe' link
5) Confirm this link still works as expected

Sponsored-by: Catalyst IT

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 Jonathan Druart 2017-03-23 20:14:51 UTC
Aleisha, I think we should use the same style as on the other page (button).
It maybe also be good to add a span with id to make the element customizable (hidden?).
Comment 6 Aleisha Amohia 2017-03-28 03:57:04 UTC
Created attachment 61653 [details] [review]
Bug 10357: Adding link for email notification for new subscription issues to opac-detail

This patch adds the link to the opac-detail.pl page so it is less hard
to find.
Update: Fixing link to look like button, adding span ID around element

To test:
1) Add a subscription, attach it to a record and select a notice under
'Patron notification'. Hit Next, fill in some fields and save the
subscription
2) Go to that record detail page in the OPAC. Go to the subscriptions
tab, click 'More details'. Notice how many clicks it takes to see the
'Subscribe' button
3) Apply patch and go back to the details page for the record
4) Notice now there is a 'subscribe' link
5) Confirm this link still works as expected

Sponsored-by: Catalyst IT

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 7 Marc Véron 2017-03-28 15:10:52 UTC
Found folliwing while testing:

1)
If more than one subscription is attached, <span id="email_notifications"> is repeated, but id's must be unique.
I think it is better to have a class.

2)
We have:

- At Library: (Branch name missing, is fixed with Bug 18307)
- Public note
- Subscription details (date range)
- Email notification handling (Subscribe, Unsubscribe, Note if not logged in)
- Call number
- Info about x latest issues (table)

Can we move Call number up? 
(e.g. after "At library:", would be the same as in Staff client)
Comment 8 Liz Rea 2017-03-28 20:21:44 UTC
I'm not sure the call number part is really part of this bug?

Cheers,
Liz
Comment 9 Marc Véron 2017-03-28 21:03:37 UTC
(In reply to Liz Rea from comment #8)
> I'm not sure the call number part is really part of this bug?
> 
> Cheers,
> Liz

No problem for me. Maybe something for an other bug.
Marc
Comment 10 Aleisha Amohia 2017-03-30 01:49:37 UTC
Created attachment 61723 [details] [review]
Bug 10357: Adding link for email notification for new subscription issues to opac-detail

This patch adds the link to the opac-detail.pl page so it is less hard
to find.
Update: Fixing link to look like button, adding span ID around element
Update: Changing ID to Class

To test:
1) Add a subscription, attach it to a record and select a notice under
'Patron notification'. Hit Next, fill in some fields and save the
subscription
2) Go to that record detail page in the OPAC. Go to the subscriptions
tab, click 'More details'. Notice how many clicks it takes to see the
'Subscribe' button
3) Apply patch and go back to the details page for the record
4) Notice now there is a 'subscribe' link
5) Confirm this link still works as expected

Sponsored-by: Catalyst IT

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 11 Aleisha Amohia 2017-03-30 01:57:36 UTC
Created attachment 61724 [details] [review]
Bug 10357: Adding link for email notification for new subscription issues to opac-detail

This patch adds the link to the opac-detail.pl page so it is less hard
to find.
Update: Fixing link to look like button, adding span ID around element
Update: Changing ID to Class

To test:
1) Add a subscription, attach it to a record and select a notice under
'Patron notification'. Hit Next, fill in some fields and save the
subscription
2) Go to that record detail page in the OPAC. Go to the subscriptions
tab, click 'More details'. Notice how many clicks it takes to see the
'Subscribe' button
3) Apply patch and go back to the details page for the record
4) Notice now there is a 'subscribe' link
5) Confirm this link still works as expected

Sponsored-by: Catalyst IT

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 12 Aleisha Amohia 2017-03-30 01:58:08 UTC
(In reply to Marc Véron from comment #7)
> Found folliwing while testing:
> 
> 1)
> If more than one subscription is attached, <span id="email_notifications">
> is repeated, but id's must be unique.
> I think it is better to have a class.
> 

Fixed in latest patch

> 2)
> We have:
> 
> - At Library: (Branch name missing, is fixed with Bug 18307)
> - Public note
> - Subscription details (date range)
> - Email notification handling (Subscribe, Unsubscribe, Note if not logged in)
> - Call number
> - Info about x latest issues (table)
> 
> Can we move Call number up? 
> (e.g. after "At library:", would be the same as in Staff client)

See Bug 18350
Comment 13 Marc Véron 2017-03-30 06:43:50 UTC
Created attachment 61726 [details] [review]
Bug 10357: Adding link for email notification for new subscription issues to opac-detail

This patch adds the link to the opac-detail.pl page so it is less hard
to find.
Update: Fixing link to look like button, adding span ID around element
Update: Changing ID to Class

To test:
1) Add a subscription, attach it to a record and select a notice under
'Patron notification'. Hit Next, fill in some fields and save the
subscription
2) Go to that record detail page in the OPAC. Go to the subscriptions
tab, click 'More details'. Notice how many clicks it takes to see the
'Subscribe' button
3) Apply patch and go back to the details page for the record
4) Notice now there is a 'subscribe' link
5) Confirm this link still works as expected

Sponsored-by: Catalyst IT

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 14 Jonathan Druart 2017-03-30 17:38:09 UTC
Aleisha, sorry again some more things:
1/ The style of buttons is not exactly the same (text is blue vs black)
2/  <span class="email_notifications">[% IF ( subscription.letter ) %]
should be
   [% IF ( subscription.letter ) %]
     <span class="email_notifications">
To avoid an empty span element
3/ I think we should be redirected to the detail page when we subscribe/unsubscribe from the detail page.
Comment 15 Aleisha Amohia 2017-04-04 22:59:06 UTC
Created attachment 61858 [details] [review]
Bug 10357: Adding link for email notification for new subscription issues to opac-detail

This patch adds the link to the opac-detail.pl page so it is less hard
to find.
Update: Fixing link to look like button, adding span ID around element
Update: Changing ID to Class
Update: Comment 14 fixes

To test:
1) Add a subscription, attach it to a record and select a notice under
'Patron notification'. Hit Next, fill in some fields and save the
subscription
2) Go to that record detail page in the OPAC. Go to the subscriptions
tab, click 'More details'. Notice how many clicks it takes to see the
'Subscribe' button
3) Apply patch and go back to the details page for the record
4) Notice now there is a 'subscribe' button
5) Confirm this button works as expected and you are redirected to
the detail page
6) Confirm 'Cancel' works and redirect works too
7) Go down to 'More details' and confirm the buttons work and you are
redirected back to the serial-issues plage from here

Sponsored-by: Catalyst IT

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 16 Marc Véron 2017-04-05 08:54:10 UTC
Created attachment 61869 [details] [review]
Bug 10357: Adding link for email notification for new subscription issues to opac-detail

This patch adds the link to the opac-detail.pl page so it is less hard
to find.
Update: Fixing link to look like button, adding span ID around element
Update: Changing ID to Class
Update: Comment 14 fixes

To test:
1) Add a subscription, attach it to a record and select a notice under
'Patron notification'. Hit Next, fill in some fields and save the
subscription
2) Go to that record detail page in the OPAC. Go to the subscriptions
tab, click 'More details'. Notice how many clicks it takes to see the
'Subscribe' button
3) Apply patch and go back to the details page for the record
4) Notice now there is a 'subscribe' button
5) Confirm this button works as expected and you are redirected to
the detail page
6) Confirm 'Cancel' works and redirect works too
7) Go down to 'More details' and confirm the buttons work and you are
redirected back to the serial-issues plage from here

Sponsored-by: Catalyst IT

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Re-tested, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 17 Jonathan Druart 2017-04-18 18:16:21 UTC
Created attachment 62309 [details] [review]
Bug 10357: Adding link for email notification for new subscription issues to opac-detail

This patch adds the link to the opac-detail.pl page so it is less hard
to find.
Update: Fixing link to look like button, adding span ID around element
Update: Changing ID to Class
Update: Comment 14 fixes

To test:
1) Add a subscription, attach it to a record and select a notice under
'Patron notification'. Hit Next, fill in some fields and save the
subscription
2) Go to that record detail page in the OPAC. Go to the subscriptions
tab, click 'More details'. Notice how many clicks it takes to see the
'Subscribe' button
3) Apply patch and go back to the details page for the record
4) Notice now there is a 'subscribe' button
5) Confirm this button works as expected and you are redirected to
the detail page
6) Confirm 'Cancel' works and redirect works too
7) Go down to 'More details' and confirm the buttons work and you are
redirected back to the serial-issues plage from here

Sponsored-by: Catalyst IT

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Re-tested, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 18 Jonathan Druart 2017-04-18 18:16:49 UTC
Created attachment 62310 [details] [review]
Bug 10357: Do not change the alerttype

Previous patch modified the alerttype from "issue" to "issue_det" or
"issue_ser". This is wrong, we do not want to modify this value,
especially because it's used in C4::Letters::SendAlerts
This patch uses a $referer variable instead, like it is already used in
other scripts for redirection.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 19 Kyle M Hall 2017-04-21 14:59:28 UTC
Pushed to master for 17.05, thanks Aleisha, Jonathan!
Comment 20 Katrin Fischer 2017-04-21 23:03:38 UTC
This won't get ported back to 16.11.x as it is an enhancement.